> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-uddrawer.md).

# New-UDDrawer

New-UDDrawer crea un pannello di navigazione comprimibile in PowerShell Universal, in genere abbinato a New-UDAppBar per la navigazione da pagina a pagina.

### Sinossi

Crea un nuovo drawer.

### Sintassi

```powershell
New-UDDrawer [[-Id] <String>] [[-Children] <ScriptBlock>] [[-Variant] <String>] [[-Anchor] <String>] [[-ClassName] <String>] [-ShowCollapse] [<CommonParameters>]
```

### Descrizione

Crea un nuovo drawer. Un drawer è un componente di navigazione utilizzato in genere per navigare tra le pagine. Può essere usato con New-UDAppBar per fornire una barra di navigazione personalizzata.

### Parametri

#### -Id

L'ID del componente. Per impostazione predefinita è un GUID casuale.

```
Required?                    false
Position?                    1
Default value                [Guid]::NewGuid()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Children

Controlli di navigazione da mostrare all'interno del drawer. Usi New-UDList e New-UDListItem per generare collegamenti all'interno del drawer.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Variant

Il tipo di drawer. I valori validi includono "persistent", "permanent", "temporary"

```
Required?                    false
Position?                    3
Default value                temporary
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Anchor

Dove ancorare il drawer. I valori validi includono "left", "right", "top", "bottom"

```
Required?                    false
Position?                    4
Default value                left
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ClassName

Una classe CSS da applicare al drawer.

```
Required?                    false
Position?                    5
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ShowCollapse

Mostra il pulsante di compressione

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Parametri comuni

Questo cmdlet supporta i parametri comuni: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable e OutVariable. Per maggiori informazioni, veda [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Output

### Esempi

#### Esempio 1

```powershell
$Drawer = New-UDDrawer -Id 'drawer' -Children {
    New-UDList -Content {
        New-UDListItem -Id 'lstHome' -Label 'Home' -OnClick {
            Set-TestData 'Home'
            } -Content {
                New-UDListItem -Id 'lstNested' -Label 'Nested' -OnClick {
                Set-TestData 'Nested'
                }
            }
    }
}

New-UDElement -Tag 'main' -Content {
    New-UDAppBar -Children { New-UDTypography -Text 'Hello' -Paragraph } -Position relative -Drawer $Drawer
}
```

Crea una barra di navigazione personalizzata usando New-UDDrawer

\[Component("Drawer", "WindowMaximize", "Creates a new card.")]


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-uddrawer.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
